Bug 166107 - Running kudzu after startup produces unexpected results
Running kudzu after startup produces unexpected results
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kudzu (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-16 19:13 EDT by Henry Harris
Modified: 2014-03-16 22:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 10:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Henry Harris 2005-08-16 19:13:15 EDT
Description of problem: With a RHEL 4 system up and running, we presented 
additional LUNs to a FC HBA.  We then ran kudzu to update 
the /etc/sysconfig/hwconf file so as to get the new scsi target/lun id info.  
We noticed that one of the ethernet ports (eth9) was no longer configured.


Version-Release number of selected component (if applicable):
RHEL 4 update 1? (2.6.9-11 kernel)

How reproducible:
We have seen this on more than one machine.

Steps to Reproduce:
1. Bring up system with RHEL 4
2. Present additional LUNs to FC HBA
3. Run kudzu
4. Run ifconfig
  
Actual results:
eth9 removed from ifconfig

Expected results:
update /etc/sysconfig/hwconf but no effect on existing configuration

Additional info:
Comment 1 Bill Nottingham 2005-08-19 03:13:19 EDT
Need more information on what sort of hardware configuration you have on the
box. What does /etc/sysconfig/hwconf look like before & after?

Note that in the case of adding SCSI *devices*, running kudzu won't actually
change any configuration on the system that's used by anything...

Note You need to log in before you can comment on or make changes to this bug.